# Interface yii\web\ResponseFormatterInterface

Implemented by | yii\web\HtmlResponseFormatter, yii\web\JsonResponseFormatter, yii\web\XmlResponseFormatter
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/ResponseFormatterInterface.php

ResponseFormatterInterface specifies the interface needed to format a response before it is sent out.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
format() | Formats the specified response. | yii\web\ResponseFormatterInterface

## Method Details

format() public abstract method

Formats the specified response.

public abstract void format ( $response )
$response | yii\web\Response | The response to be formatted.